## trace-summary 0.92

=== Makefile ===

DISTFILES = README COPYING CHANGES Makefile trace-summary

BUILD=build
DISTDIR=trace-summary-`test -e VERSION && cat VERSION || cat ../VERSION`

dist:
	@install -d $(BUILD)
	rm -rf $(BUILD)/$(DISTDIR)
	mkdir $(BUILD)/$(DISTDIR)
	cp $(DISTFILES) $(BUILD)/$(DISTDIR)
	( cd $(BUILD) && tar czvf $(DISTDIR).tgz $(DISTDIR) )
	rm -rf $(BUILD)/$(DISTDIR)
	@echo "Package: $(BUILD)/$(DISTDIR).tgz"

distclean:
	rm -rf $(BUILD)

test:
	@make -C testing

## trace-summary 0.83

=== debian/changelog ===
trace-summary (0.83-1) unstable; urgency=low

  * Initial release (Closes: #771145)

 -- Raúl Benencia <rul@kalgan.cc>  Tue, 09 Dec 2014 17:40:44 -0300

=== debian/control ===
Source: trace-summary
Section: net
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Build-Depends: debhelper (>= 9),
               dh-python,
               python | python-all | python-dev | python-all-dev
Standards-Version: 3.9.6
Homepage: https://www.bro.org/sphinx/components/trace-summary/README.html
Vcs-Git: git://anonscm.debian.org/collab-maint/trace-summary.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/trace-summary.git

Package: trace-summary
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: tool for generating break-downs of network traffic
 trace-summary is a Python script that generates break-downs of network
 traffic, including lists of the top hosts, protocols, ports,
 etc. Optionally, it can generate output separately for incoming
 vs. outgoing traffic, per subnet, and per time-interval.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python2

## trace-summary 0.84

=== debian/changelog ===
trace-summary (0.84-1) unstable; urgency=medium

  [ Raúl Benencia ]
  * Added Hilko Bengen to Uploaders

  [ Hilko Bengen ]
  * New upstream version
  * Override build, test targets from useless Makefile

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Jun 2015 16:57:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Raúl Benencia <rul@kalgan.cc>
+Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                python | python-all | python-dev | python-all-dev

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,5 @@
 
 %:
 	dh $@ --with=python2
+
+override_dh_auto_build override_dh_auto_test:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads/release/ trace-summary-(\d.*)\.tar\.gz

## trace-summary 0.88

=== debian/changelog ===
trace-summary (0.88-1) unstable; urgency=medium

  * New upstream version 0.88
  * Update watch file
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Dec 2018 16:54:40 +0100

trace-summary (0.84-2) unstable; urgency=medium

  * Add python-subnettree dependency (Closes: #858583)
  * Update debhelper compatibility version, no changes required
  * Fix insecure copyright format URI
  * Update Standards-Version, no changes required
  * Update Vcs fields

 -- Raúl Benencia <rul@kalgan.cc>  Wed, 06 Jun 2018 10:37:42 -0700

=== debian/control ===
Source: trace-summary
Section: net
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python | python-all | python-dev | python-all-dev
Standards-Version: 4.3.0
Homepage: https://www.bro.org/sphinx/components/trace-summary/README.html
Vcs-Git: https://salsa.debian.org/bro-team/trace-summary.git
Vcs-Browser: https://salsa.debian.org/bro-team/trace-summary

Package: trace-summary
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-subnettree
Description: tool for generating break-downs of network traffic
 trace-summary is a Python script that generates break-downs of network
 traffic, including lists of the top hosts, protocols, ports,
 etc. Optionally, it can generate output separately for incoming
 vs. outgoing traffic, per subnet, and per time-interval.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads/ trace-summary-(\d.*)\.tar\.gz

## trace-summary 0.89

=== debian/changelog ===
trace-summary (0.89-1) unstable; urgency=medium

  * New upstream version 0.89
  * Replace Raúl Benencia with myself as Maintainer, per his request

 -- Hilko Bengen <bengen@debian.org>  Wed, 04 Sep 2019 08:14:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: trace-summary
 Section: net
 Priority: optional
-Maintainer: Raúl Benencia <rul@kalgan.cc>
-Uploaders: Hilko Bengen <bengen@debian.org>
+Maintainer: Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                python | python-all | python-dev | python-all-dev

## trace-summary 0.90

=== debian/changelog ===
trace-summary (0.90-1) unstable; urgency=medium

  * New upstream version 0.90
  * Update watch file
  * Bump Debhelper version, update URLs

 -- Hilko Bengen <bengen@debian.org>  Sun, 31 May 2020 23:04:40 +0200

trace-summary (0.89-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Scott Kitterman ]
  * Switch to python3 (Closes: #938692)

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Jan 2020 20:21:59 +0200

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ trace-summary-(\d.*)\.tar\.gz

## trace-summary 0.91

=== debian/changelog ===
trace-summary (0.91-1) unstable; urgency=medium

  * New upstream version 0.91
  * Update watch file

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Aug 2020 13:09:41 +0200

=== debian/control ===
Source: trace-summary
Section: net
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all
Standards-Version: 4.5.0
Homepage: https://www.zeek.org/
Vcs-Git: https://salsa.debian.org/bro-team/trace-summary.git
Vcs-Browser: https://salsa.debian.org/bro-team/trace-summary

Package: trace-summary
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-subnettree
Description: tool for generating break-downs of network traffic
 trace-summary is a Python script that generates break-downs of network
 traffic, including lists of the top hosts, protocols, ports,
 etc. Optionally, it can generate output separately for incoming
 vs. outgoing traffic, per subnet, and per time-interval.

## trace-summary 0.92

=== debian/changelog ===
trace-summary (0.92-1) unstable; urgency=medium

  * New upstream version 0.92
  * Bump Debhelper compat level, Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Dec 2021 03:07:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Hilko Bengen <bengen@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.zeek.org/
 Vcs-Git: https://salsa.debian.org/bro-team/trace-summary.git
 Vcs-Browser: https://salsa.debian.org/bro-team/trace-summary

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with=python3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_build override_dh_auto_test:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://download.zeek.org/ trace-summary-(\d.*)\.(?:tar\.gz|tgz)

## trace-summary 0.93

=== debian/changelog ===
trace-summary (0.93-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 09 Jan 2026 22:38:23 +0000

trace-summary (0.93-1) unstable; urgency=medium

  * New upstream version 0.93

 -- Hilko Bengen <bengen@debian.org>  Tue, 06 Dec 2022 20:35:07 +0100
